summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2020-08-04 12:47:29 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2020-08-04 14:26:27 +0000
commitc6ef4dfb763cc526f537b0ed4cf4b537dab0d480 (patch)
tree6cf47309b22f55527ba8e5a12616f55d4b23665f
parent8112769d5580b4b37e3ce2beb956296bd47031dc (diff)
tcwg-benchmark-bare.sh: Do not start build container
Change-Id: I167646dfdc83c8256f85ebd7b7a9903b12517bef
-rwxr-xr-xtcwg-benchmark-bare.sh36
1 files changed, 19 insertions, 17 deletions
diff --git a/tcwg-benchmark-bare.sh b/tcwg-benchmark-bare.sh
index 5519c210..913cc7a6 100755
--- a/tcwg-benchmark-bare.sh
+++ b/tcwg-benchmark-bare.sh
@@ -43,6 +43,19 @@ fi
. jenkins-helpers.sh
+# Start a container to run the benchmarks in.
+# The board is connected to the slave via USB, the container needs
+# special rights to access it.
+./start-container-docker.sh \
+ $docker_host_opt \
+ --distro "$bench_container_tag" \
+ --session-name "$BUILD_NUMBER-$JOB_NAME-bench" \
+ --task bench \
+ --docker_opts "--privileged -v /dev/bus/usb:/dev/bus/usb" \
+ --prefix run_ > run-container.sh
+trap "cleanup_all_containers" EXIT
+. ./run-container.sh
+
# If $toolchain_url is of ssh:// type, don't create a remote build
# container, just use the ssh command as provided.
build_container_host=
@@ -78,9 +91,11 @@ case "$toolchain_url" in
*)
# Make sure to cleanup build container if something goes
# wrong when preparing the test environment
- trap "cleanup_all_containers" EXIT
- ./start-container-docker.sh $docker_host_opt --distro "$build_container_tag" --task build --prefix build_ --verbose true > build-container.sh
- . ./build-container.sh
+ #trap "cleanup_all_containers" EXIT
+ #./start-container-docker.sh $docker_host_opt --distro "$build_container_tag" --task build --prefix build_ --verbose true > build-container.sh
+ #. ./build-container.sh
+ build_container_host=$run_container_host
+ build_container_port=$run_container_port
;;
esac
@@ -185,7 +200,7 @@ case "$sysroot" in
sysrootdir=$(untar_url "$sysroot" "$WORKSPACE" "--strip-components 1")
# Copy toolchain to the build container.
rsync -a --delete -e "ssh -p$build_container_port" "$sysrootdir/" "$build_container_host:$sysrootdir/"
- sysroot="$build_container_host:$build_container_port:$sysrootdir"
+ #sysroot="$build_container_host:$build_container_port:$sysrootdir"
;;
"ssh://"*)
sysroot="${sysroot##ssh://}"
@@ -209,19 +224,6 @@ case "$sysroot" in
;;
esac
-# Start a container to run the benchmarks in.
-# The board is connected to the slave via USB, the container needs
-# special rights to access it.
-./start-container-docker.sh \
- $docker_host_opt \
- --distro "$bench_container_tag" \
- --session-name "$BUILD_NUMBER-$JOB_NAME-bench" \
- --task bench \
- --docker_opts "--privileged -v /dev/bus/usb:/dev/bus/usb" \
- --prefix run_ > run-container.sh
-trap "cleanup_all_containers" EXIT
-. ./run-container.sh
-
# vars are from run-container.sh sourced above
# shellcheck disable=SC2154
remote_exec "$run_container_host:$run_container_port:$WORKSPACE:-t -Snone" \